import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { DSA } from '../../../entities/dsa';
import { Leads } from '../../../entities/leads';
import { environment } from '../../../../../environments/environment';

@Injectable({
  providedIn: 'root'
})
export class LeadService {

  constructor(private http: HttpClient) { }
  async insertLeads(leads: Leads): Promise<any> {
    return await this.http.post("/api/web/leads/insertLeads", leads)
      .toPromise() as any
  }
  async updateLeads(leads: Leads): Promise<any> {
    return await this.http.post("/api/web/leads/updateLeads", leads)
      .toPromise() as any
  }

  async partnerSignUp(dsa: any): Promise<any> {
    return await this.http.post("/api/web/dsaSignUps/dsaSignup", dsa)
      .toPromise() as any
  }
}
